
.cardContainer {
    width: 18rem;
    height: 32rem;
}

.name{
    text-align: 'initial';
    height: 3rem;
    overflow: hidden;
}
.top_image{
    background-color: orange;
    border: 1px solid;
    z-index: 2;
    position: absolute;
    width: 100px;
    border-radius: 10px;
}
.scrollImage {
    display: inline;
    width: 100%;
    height: 20vw;
    min-width: 100%;
    min-height: 20vw;
    max-width: 100%;
    max-height: 20vw;
    object-fit:fill;
}
.fixedBottom{
    padding: 5px;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 100%;
    border-radius: 5px;
}
.strikePrice {
    text-decoration: line-through;
}

.price {
    color: orange;
    font-size: 20px;
    font-weight: 500;
    overflow: hidden;
    display: inline-block;
}

.strikePriceContainer {
    font-size: 15px;
}
.discount {
    background-color: orange;
    border-radius: 10px;
    width: 50px;
    height: 25px;
   align-items: center;
   color: darkred;
}

@media screen and (min-width:320px) and (max-width: 480px) {
    .cardContainer {
        width: 18rem;
        height: 22rem;
    }
    .scrollImage {
        display: inline;
        width: 100%;
        height: 20vw;
        min-width: 100%;
        min-height: 35vw;
        max-width: 100%;
        max-height: 35vw;
        object-fit:fill;
    }
 }

 @media screen and (min-width:481px)  and (max-width: 768px) {
    .cardContainer {
        width: 25rem;
        height: 29rem;
    }
    .scrollImage {
        display: inline;
        width: 100%;
        height: 20vw;
        min-width: 100%;
        min-height: 35vw;
        max-width: 100%;
        max-height: 35vw;
        object-fit:fill;
    }
 }

 @media screen and (min-width:769px)  and (max-width: 1024px) {
    .cardContainer {
        width: 30rem;
        height: 32rem;
    }
    .scrollImage {
        display: inline;
        width: 100%;
        height: 20vw;
        min-width: 100%;
        min-height: 35vw;
        max-width: 100%;
        max-height: 35vw;
        object-fit:fill;
    }
 }

 @media screen and (min-width:1025px) and (max-width: 1200px) {
    .cardContainer {
        width: 25rem;
        height: 29rem;
    }
    .scrollImage {
        display: inline;
        width: 100%;
        height: 20vw;
        min-width: 100%;
        min-height: 35vw;
        max-width: 100%;
        max-height: 35vw;
        object-fit:fill;
    }
 }

 @media screen and (min-width:1201px) {
    .cardContainer {
        width: 15rem;
        height: 33rem;
    }
    .scrollImage {
        display: inline;
        width: 100%;
        height: 20vw;
        min-width: 100%;
        min-height: 20vw;
        max-width: 100%;
        max-height: 20vw;
        object-fit:fill;
    }
 }
